﻿using System;

using Xamarin.Forms;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;

using Syncfusion.SfChart.XForms;
using System.Threading.Tasks;
using System.Runtime.CompilerServices;
using System.Diagnostics;

namespace ChartSample
{
	
	public class ViewModel : INotifyPropertyChanged
	{
		private int Chart_selectionIndex;
		public int Chart_SelectionIndex
		{
			get
			{
				return Chart_selectionIndex;
			}
			set
			{
				if (value != Chart_selectionIndex)
				{
					Chart_selectionIndex = value;
					Model selecteditem = Accounts[value];
					List_SelectedItem = selecteditem;
					OnPropertyChanged();
				}
			}
		}
	
		private Model List_selectedItem;
		public Model List_SelectedItem
		{
			get
			{
				return List_selectedItem;
			}
			set
			{
				List_selectedItem = value;

				var index = Accounts.IndexOf(value);
				Chart_SelectionIndex = index;

				OnPropertyChanged();
			}
		}
	
		public event PropertyChangedEventHandler PropertyChanged;
		public void OnPropertyChanged([CallerMemberName] string property = null) => PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(property));


		public ObservableCollection<Model> Accounts { get; set; }

		public List<Color> Colors { get; set; }

		public ViewModel()
		{
			Accounts = new ObservableCollection<Model>();
			Accounts.Add(new Model ( "Checking 1" , 1000 ));
			Accounts.Add(new Model ( "Checking 2",  2000 ));
			Accounts.Add(new Model (  "Checking 3",  3000 ));
			Accounts.Add(new Model ( "Checking 8",  8000 ));
			Accounts.Add(new Model ( "Checking 13",  13000 ));

			Colors = new List<Color>();
			Colors.Add(Color.FromHex("#D2D4D7"));
		}
	}
}




